import { RefObject } from 'react';
type AutoSizeData = {
    value: number;
    cssValue: string;
    cssCalc: string;
};
export declare function useAutoSizeData<T extends HTMLElement>(ref: RefObject<T>, compensation?: number): [AutoSizeData, () => void];
export declare function useAutoSizeCalc<T extends HTMLElement>(ref: RefObject<T>, compensation?: number): [string, () => void];
export declare function useAutoSize<T extends HTMLElement>(ref: RefObject<T>, compensation?: number): [number, () => void];
export declare function useAutoSizePx<T extends HTMLElement>(ref: RefObject<T>, compensation?: number): [string, () => void];
export {};
